Package oasis.names.tc.dss._1_0.core.schema

# Class UpdatedSignatureType

java.lang.Object
oasis.names.tc.dss._1_0.core.schema.UpdatedSignatureType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class UpdatedSignatureType extends Object implements Serializable

Java class for UpdatedSignatureType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="UpdatedSignatureType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:oasis:names:tc:dss:1.0:core:schema}SignatureObject"/>
           </sequence>
           <attribute name="Type" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdatedSignatureType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SignatureObject`
  `getSignatureObject()`
  Gets the value of the signatureObject property.
  `String`
  `getType()`
  Gets the value of the type property.
  `void`
  `setSignatureObject(SignatureObject value)`
  Sets the value of the signatureObject property.
  `void`
  `setType(String value)`
  Sets the value of the type property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UpdatedSignatureType

    public UpdatedSignatureType()

- ## Method Details

  - ### getSignatureObject

    public SignatureObject getSignatureObject()
    Gets the value of the signatureObject property.
    Returns:
      possible object is `SignatureObject`

  - ### setSignatureObject

    public void setSignatureObject(SignatureObject value)
    Sets the value of the signatureObject property.
    Parameters:
      `value` - allowed object is `SignatureObject`

  - ### getType

    public String getType()
    Gets the value of the type property.
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`